#!/bin/bash

Maps=$(ls binaries/data/mods/public/maps/* | grep ".json$" | sed "s/\.json$//g" | sed "s/^/random\//g")
rm pyrolog
rm pyrolog*

DoMaps()
{
	LogFile="pyrolog"
	ExitString="Turn 20000"
	MapLogFile="$LogFile.$1"
	MapLogFile=$(echo "$MapLogFile" | sed "s/\//dir/g")

	echo "=== $1 Started ===" >> "$LogFile"

	touch "$MapLogFile"
	./map.sh "$1" > "$MapLogFile" &
	MapPid=$!

	while sleep 1
	do
		if egrep "$ExitString" "$MapLogFile"
		then
			echo "=== $1 Failed to end ===" >> "$LogFile"
			pkill -P $MapPid
			kill $MapPid
			exit 0
		fi

		if [ ! -e /proc/$MapPid ]
		then
			echo "=== $1 Ended itself ===" >> "$LogFile"
			exit 0
		fi
	done

	echo "=== $1 Ended ===" >> "$LogFile"
}
export -f DoMaps

parallel DoMaps ::: "$Maps"
